#!/bin/sh
MODULE_DIR=/var/iwss/DiagnosticTool
SUMMARY_REPORT_FILE_NAME=summary_report.txt
SUMMARY_REPORT_FILE=$MODULE_DIR/$SUMMARY_REPORT_FILE_NAME
MODULE_CONFIG_FILE=$MODULE_DIR/diagnostic_tool.ini

echo Start Time: `date "+%Y-%m-%d %H:%M:%S.%N"`
file=`awk -F '=' '/\[FtpDownload\]/{a=1}a==1&&$1~/^FtpFile/{print $2;exit}' $MODULE_CONFIG_FILE`
timeout=`awk -F '=' '/\[FtpDownload\]/{a=1}a==1&&$1~/^Timeout/{print $2;exit}' $MODULE_CONFIG_FILE`
echo "DestServer=$file" >> $SUMMARY_REPORT_FILE
start=`date "+%s.%N"`

os_type=`cat /etc/redhat-release`
if [[ $os_type =~ "CentOS" ]];then
	host=`/sbin/ifconfig | grep 'inet addr' | awk '{print $2}'|grep -v '127.0.0.1'|awk -F ':' '{print $2}'`
	else
	#host=`/sbin/ifconfig | grep 'inet' | awk '{print $2}'|grep -v '127.0.0.1'|sed -n "1p"`
	host=`/sbin/ifconfig | grep 'inet addr' | awk '{print $2}'|grep -v '127.0.0.1'|awk -F ':' '{print $2}'`
fi
port=`awk -F '=' '/\[main\]/{a=1}a==1&&$1~/^port/{print $2;exit}' /etc/iscan/IWSSPIProtocolFtp.pni`

echo "This host as ftp proxy is ${host}:${port}"

echo "Run ftp commands"
echo Start Time: `date "+%Y-%m-%d %H:%M:%S.%N"`
export ftp_proxy=ftp://${host}:${port}
wget -Y on -t 1 -T $timeout $file -O tmp.txt &> /dev/null
errno=`echo $?`
echo End Time: `date "+%Y-%m-%d %H:%M:%S.%N"`

if [ $errno -eq 4 ]; then
        echo "Time Out"
        rm -f tmp.txt
        exit 101
fi

if [ -s tmp.txt ]; then
	echo "Download $file successful"
	rm -f tmp.txt
else
	echo "Download $file failed"
	rm -f tmp.txt
	exit 101
fi

end=`date "+%s.%N"`
echo End Time: `date "+%Y-%m-%d %H:%M:%S.%N"`
start_s=`echo $start | cut -d '.' -f 1`
end_s=`echo $end | cut -d '.' -f 1`
int_s=`echo "$end_s - $start_s" | bc`
start_ns=`echo $start | cut -d '.' -f 2`
end_ns=`echo $end | cut -d '.' -f 2`
int_ns=`echo "$end_ns - $start_ns" | bc`
rt=`echo "scale=2;($int_s * 1000 + $int_ns / 1000000)" | bc`
pre=`echo $rt | cut -d '.' -f 1`
if [ ! -z "$pre" ]; then
	if [ $pre -ge 10 ]; then
		rt=$pre
	fi
else
		rt=`echo 0$rt`
fi

if [ ! -z "$rt" ]; then
	echo "Response Time: ${rt}ms"
	echo "ResponseTime=${rt}ms" >> $SUMMARY_REPORT_FILE
	excTime=`awk -F '=' '/\[FtpDownload\]/{a=1}a==1&&$1~/^ExcellentTime/{print $2;exit}' $MODULE_CONFIG_FILE`
	genTime=`awk -F '=' '/\[FtpDownload\]/{a=1}a==1&&$1~/^GeneralTime/{print $2;exit}' $MODULE_CONFIG_FILE`
	irt=`echo $rt | awk -F '.' '{print $1}'`
	if [ $irt -le $excTime ]; then
		echo "RTResult=1" >> $SUMMARY_REPORT_FILE
	elif [ $irt -le $genTime ]; then
		echo "RTResult=2" >> $SUMMARY_REPORT_FILE
	else
		echo "RTResult=3" >> $SUMMARY_REPORT_FILE
	fi
fi

echo "Ftp download successful"
exit 0
