<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="com.trend.iwss.gui.servlet.*" %>
<%@ page import="com.trend.resource.*" %>
<%@ page import="com.trend.iwss.wmi.HTTPUserConfigDC" %>
<%@ page import="com.trend.iwss.wmi.DCServer" %>
<%@ page import="com.trend.api.ldap.*" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="org.apache.commons.lang.StringEscapeUtils"%>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%
	if (Validation.CheckUser(request, response) != 1) {
		response.sendRedirect("logon.jsp");
		return;
	}

	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(1003);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");

	int error = 0;
	if (request.getParameter("error") != null) {
		error = Integer.parseInt(request.getParameter("error"));
	}
%>

<%
	DomainInfo info = DomainHandler.getInstance().getAllDomains();

	boolean noDomains = info == null || info.getDomain().size() == 0;
	LDAPSetting setting = LDAPSettingHandler.getInstance().getSetting();
	TransparentSetting setting2 = TransparentAuthHandler.getInstance().getSetting();

	String mode = setting.getMode();

	String authType = mode;

	boolean isBasic = authType.equals("basic");
	boolean isAdvanced = authType.equals("advanced");


	String ttl_type = setting.getTtlType();
	int ttl = setting.getTtl();
	boolean isFixed = ttl_type.equals("fixed");
%>

<%!
	String DomainNameToDNS(String name)
	{
		if (-1 != name.indexOf(","))
		{
			String   newName = "";
			String[] ss = name.split(",");

			for(int i = 0; i < ss.length; i++)
			{
				ss[i] = ss[i].trim();
				if (false == ss[i].toUpperCase().startsWith("DC="))
					continue;

				if (newName == "")
					newName = ss[i].substring(3);
				else
					newName += "." + ss[i].substring(3);
			}
			return newName;
		}
		return name;
	}

	String DomainNameToDC(String name)
	{
		return name;
	}
%>

<html>
<head>
<title><i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title"/></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="html/checkall.js"></script>
<script language="JavaScript" type="text/javascript" src="html/check.js"></script>
<script language="JavaScript" type="text/javascript" src="html/i18n_warnmsg.js"></script>
<script language="JavaScript" type="text/javascript" src="html/jquery1.3.2.js"></script>
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/ldapUtil.js"></SCRIPT>
<link href="html/trend-style.css" rel="stylesheet" type="text/css">

</head>
<%
	String enablecaptival = IWSSInfo.GetKeyValue("LDAP-Setting","captive_portal");
	String enableguest = IWSSInfo.GetKeyValue("LDAP-Setting","guest_policy");

	String value1 = IWSSInfo.GetKeyValue("cookie-authentication", "enable_master_cookie");
	String value2 = IWSSInfo.GetKeyValue("cookie-authentication", "enable_domain_cookie");

	String enablecookie = "no";
	if (value1.equals("yes") && value2.equals("yes"))
	{
		enablecookie = "yes";
	}

	String captive_portal_html = "";
	String PasPageWelcomePatch = IWSSInfo.GetKeyValue("LDAP-Setting","captive_portal_page_path");
	String PasPageWelcomeFile = IWSSInfo.GetWorkPath()+ PasPageWelcomePatch;
	try {
		File welcomefile = new File(PasPageWelcomeFile);
		if (!welcomefile.exists()) {
			welcomefile.createNewFile();
		} else {
			BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(	PasPageWelcomeFile), "utf-8"));
			String tempString = null;
			while ((tempString = reader.readLine()) != null)
			{
				if (captive_portal_html == null) {
					captive_portal_html = tempString;
				} else {
					captive_portal_html += "\r\n";
					captive_portal_html += tempString;
				}

			}
			System.err.println(captive_portal_html);

			reader.close();
			captive_portal_html = StringEscapeUtils.escapeHtml(captive_portal_html);
		}
	} catch (Exception e) {
		System.err.println("captiveportal catch exception");
		e.printStackTrace();
	}

	String capForm = "";
	String capFormPatch = "AdminUI/tomcat/webapps/ROOT/html/capForm";
	try {
		String formhtmfile = IWSSInfo.GetWorkPath()
				+ capFormPatch;
		if (new File(formhtmfile).exists()) {
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(new FileInputStream(
							formhtmfile), "utf-8"));
			String tempString = null;

			while ((tempString = reader.readLine()) != null) {
				if (capForm == null) {
					capForm = tempString;
				} else {
					capForm += tempString;
				}
			}

			reader.close();
		}
	} catch (Exception e) {
		System.err.println("captiveportal catch exception");
		e.printStackTrace();
	}

	capForm = StringEscapeUtils.escapeHtml(capForm);
%>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="init()">

<!--TOOL TIP-->
<script>
	ldapList = ["msldap", "openldap", "sunldap", "edirectory"];
	authmethod = ["simple", "digest-md5", "kerberos"];

	function init() {
		$("#mode").hide();
		var tr1 = document.getElementById( "tr1");
		tr1.style.display = "none";
		var tr2 = document.getElementById( "tr2");
		tr2.style.display = "none";
		document.Saveform.mode[2].checked = true;
		enableKerberos($(document.Saveform.mode[2]).parent().parent().parent().parent());
		<%if (isBasic) {%>showBasicLDAP();<%} else if (isAdvanced) {%>showAdvancedLDAP();<%} else {%>showBasicLDAP('hide')<%}%>
		$('input[name="mode"]').change(function() {
			var z = $(this).val();
			var p = $(this).parent().parent().parent().parent();
			if (z == 'kerberos') {
				enableKerberos(p);
			}
			else {
				disableKerberos(p);
			}
		});
		hideorshow();

		if("none" == "<%=authType%>") {
			document.getElementById("enableguest").disabled=true;
			document.getElementById("enablecookie").disabled=true;
		}
	}

	function show(t){
		var t1 = $(t).find('input[name="mode"]:checked');
		var z = t1.val();
		if (z == 'kerberos') {
			enableKerberos(t);
		}
		else {
			disableKerberos(t);
		}
	}
</script>

<div id="tooltip" style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></div>
<script language="JavaScript" type="text/javascript">mig_clay();</script>
<script>
	function hideorshow()
	{
		if(document.getElementsByName("authentication_method")[0].checked)
		{
			$('.hidetd').hide();
			document.getElementById("enableguest").disabled=true;
			document.getElementById("enablecookie").disabled=true;
		}
		if(document.getElementsByName("authentication_method")[1].checked)
		{
			$('.hidetd').show();
			document.getElementById("enableguest").disabled=false;
			document.getElementById("enablecookie").disabled=false;
		}
	}

	function showBasicLDAP(vl,change) {
		$('#basicLDAP').show();
		$('#advancedLDAP').hide();
			if (vl == 'hide') {
				$('.tabinactive').hide();
				$('.showtd').hide();
				$('#basicLDAP').fadeTo(1,.5);
				$('#basicLDAP').find(':input').attr('disabled',true);
				$('#otherrowarea').find(':input').attr('disabled',true);
				if(change=="change")enableSub(-1);
			}
			else {
				$('.tabinactive').show();
				$('.showtd').show();
				$('#basicLDAP').fadeTo(1,1);
				$('#basicLDAP').find(':input').removeAttr('disabled');
				$('#otherrowarea').find(':input').removeAttr('disabled');
				hideorshow();
			}
	}

	function showAdvancedLDAP() {
		$('.tabinactive').show();
		$('.showtd').show();
		$('#basicLDAP').hide();
		$('#otherrowarea').find(':input').removeAttr('disabled');
		$('#advancedLDAP').show();
		hideorshow();
	}

	function collapseLDAPLink() {
		if(dirty()){
			alert(i18n_edit_domain_warning);
			return;
		}
		current_index = -100;
		previous_expand_index = current_index;

		$('#expandedNewLDAP').hide();
		$('#collapsedNewLDAP').show();
	}

	function expandLDAP() {
		if(dirty()){
			alert(i18n_edit_domain_warning);
			return;
		}


		if(previous_expand_index != -100)
		{
			if(previous_expand_index == -1)
			{
				collapseLDAPLink();

			}else
			{
				collapseToggle("t"+previous_expand_index);
			}
		}

		current_index = -1;
		previous_expand_index = current_index;
		oldversion = newversion();
		$('#expandedNewLDAP').show();
		$('#collapsedNewLDAP').hide();
	}

	function sync_with_ldap()
	{
		$("#sync_ldap img").attr("src", "images/widgetLoading.gif");
		$("#sync_ldap a").attr("href", "#");

		$.ajax(
		{
			url: "sync_with_ldap.jsp",
			async: true,
			dataType: "json",

			success: function(data, textStatus) {
				if (data["errorCode"] != null && data["errorCode"] != "0")
				{
					alert(data["errorMessage"]);
				}
			},

			error:   function(){
					alert("Unknow error");
			},

			complete: function(jqXHR, textStatus){
					$("#sync_ldap img").attr("src", "images/icon_refresh.gif");
					$("#sync_ldap a").attr("href", "javascript:sync_with_ldap()");
			}

		});
	}

	function expandToggle(it) {
		if(dirty()){
			alert(i18n_edit_domain_warning);
			return;
		}
		if(previous_expand_index != -100)
		{
			if(previous_expand_index == -1)
			{
				collapseLDAPLink();

			}else
			{
				collapseToggle("t"+previous_expand_index);
			}
		}

		current_index = it.substring(1);
		previous_expand_index = current_index;

		oldversion = newversion();
		$('#expanded'+it).show();
		$('#collapsed'+it).hide();
		show($('#expanded'+it));
	}

	function collapseToggle(it) {
		if(dirty()){
			alert(i18n_edit_domain_warning);
			return;
		}
		current_index = -100;
		previous_expand_index = current_index;

		$('#expanded'+it).hide();
		$('#collapsed'+it).show();
	}

	function disableKerberos(p) {
		p.find('.kerberosOptions').find('*').attr('disabled','disabled').fadeTo(1,.8);
	}

	function enableKerberos(p) {
		p.find('.kerberosOptions').find('*').removeAttr('disabled').fadeTo(1,1);
	}

	function doPreview(htmlbody)
	{
	   if(previewwin)
		{
			if(!previewwin.closed) previewwin.close();
			previewwin = null;
		}
		previewwin = window.open ('', 'preview', 'width=700,height=560,scrollbars');
		previewwin.document.write(htmlbody);
		previewwin.document.close();
		previewwin.focus();
	}

	function doPreviewForm()
	{
		var htmlbody=document.getElementById("customizedHTML").value;

		htmlbody=htmlbody.replace("window.location.href=accesspolicy();"," ");
		htmlbody=htmlbody.replace("\<\%T\%\>",document.getElementById("cap_form").value);
		htmlbody=htmlbody.replace("\<\%EM\%\>",i18n_captive_portal_input_message);
		htmlbody=htmlbody.replace("<form name=\"loginForm\" id=\"loginForm\" method=\"POST\" action=\"com.trend.iwss.gui.servlet.captiveportal\">"," ");
		htmlbody=htmlbody.replace("</form>"," ");
		if (! ($('input[name="enableguest"]:checked').attr('checked')) ) {
			//console.log("not enable guest login");
			htmlbody=htmlbody.replace("<td width=\"80\"><input type=\"submit\" name=\"guest\" style=\"width:80px\" value=\"Guest\" onclick=\"accesspolicy();\" /></td>", " ");
		}
		doPreview(htmlbody);
	}

	function checkFormat()
	{
		var html = document.getElementById("customizedHTML").value;
		var s = html.indexOf("<\%T\%>");
		if(($('input[name="authType"]:checked').val()!="none")
				&& document.getElementsByName("authentication_method")[1].checked
				&& s == -1)
		{
			alert(i18n_captive_portal_custom_warning);
			return false;
		}
		else
			return true;
	}

	function doSubmit()
	{
		if(checkFormat()) {
			Save();
		}
	}
</script>

<!--/TOOL TIP-->

<!-- display cookie tip message begin -->

<script language="javascript" src="html/mouseover_help.js"></script>
<script>
	$(document).mousemove(handlerMM);
	descarray    = new Array(1);
	descarray[0] = tipCookieAuthMode;
</script>

<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1"
	onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)"> pop up description layer </div>

<!-- display cookie tip message end -->

<table cellspacing="0" cellpadding="0" width="800" border="0"><tbody>
	<tr>
		<td width="282" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title"/></td>
		<td align="right" valign="bottom"><A href="javascript:openhelpwin('http_config_user.htm');"><img src="images/question.gif" border="0"></a></td>
	</tr>
	<tr>
		<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
	</tr>
	<tr>
		<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
	</tr>
</tbody></table>

<table width="800" border="0" cellpadding="0" cellspacing="0"><tbody>
	<tr>
		<td colspan="2"><table cellpadding="0" cellspacing="0" border="0" width="100%"><tbody>
			<tr>
				<!-- TABS -->
				<td background="images/tab_background_cui.gif"><table cellpadding="0" cellspacing="0" border="0"><tbody>
					<tr>
						<td><img src="images/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
						<td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap="">
							<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title"/></td>
						<td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>
						<td class="showtd"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
						<td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap="">
							<a onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none" onMouseOut="this.style.color='#000000';"
								href="http_config_captive_portal.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.user_identification.pas.title" /></a></td>
						<td class="showtd"><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
						<td class="showtd"><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
						<td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap="">
							<a onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none" onMouseOut="this.style.color='#000000';"
								href="http_config_ldap_whitelist.jsp">
									<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.auth_whitelist.title" /></a></td>
						<td class="showtd"><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
					</tr>
					</tbody></table>
				</td>
				<td background="images/tab_background_cui.gif" align="right"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
				<!-- /TABS -->
			</tr>

			<tr>
				<td colspan="2" class="border"><table width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>
					<tr>
						<td class="data1" colspan="1"><i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldap_note"/></td>
					</tr>
					<tr>
						<td><table width="100%" border="0" cellpadding="0" cellspacing="0" class="authsettings"><tbody>
							<tr>
								<td colspan="3" class="tableheadergrey2" style="padding-left:7px">
									<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldap_user_group_authen_settings"/></td>
							</tr>
							<tr>
								<td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
							</tr>
							<tr>
								<td class="data1">&nbsp;</td>
								<td class="border"><table width="100%" border="0" cellpadding="0" cellspacing="0"><tbody>
									<tr>
										<td height="22" colspan="4" class="tableheader">
											<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldap_directory_settings"/></td>
										<!-- <td width="4%" height="22" align="right" class="tableheader"><a href="#"><img src="images/more_up2_out.gif" width="13" height="13" border="0" title="<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title1"/>"></a></td> -->
									</tr>
									<tr>
										<td colspan="4"><table border="0"><tbody>
											<tr>
												<td width="3%" class="data1"><input name="authType" type="radio" value="basic" onClick="showBasicLDAP()"
													<%if (authType.equals("basic")) {%>checked<%}%>>
												</td>
												<td class="data1"><i18n:message bundleRef="bundleAdmin"
													key="admin.network_config.user_identification.ldap_directory_basic"/></td>
												<td width="3%" class="data1"><input name="authType" type="radio" value="advanced" onClick="showAdvancedLDAP()"
													<%if (authType.equals("advanced")) {%>checked<%}%>></td>
												<td class="data1"><i18n:message bundleRef="bundleAdmin"
													key="admin.network_config.user_identification.ldap_directory_advanced"/></td>
												<td width="3%" class="data1"><input name="authType" type="radio" value="none" onClick="showBasicLDAP('hide','change')"
													<%if (authType.equals("none")) {%>checked<%}%>></td>
												<td class="data1"><i18n:message bundleRef="bundleAdmin"
													key="admin.network_config.user_identification.ldap_directory_none"/></td>
											</tr>
										</tbody></table></td>
									</tr>

									<tr id="basicLDAP" style="opacity: 1; ">
										<td colspan="4"><div style="width:auto"> <form action="servlet/com.trend.iwss.gui.servlet.AuthItemController"
											method="post" name="saveform" id="saveform">

											<input name="encry" type="hidden" value="false">
											<input name="op" type="hidden" value="save">
											<input name="mode1" type="hidden" value="basic">
											<input name = "ttl_type" type = "hidden" value = "1">
											<input name = "expire_time" type = "hidden" value = "120" >
											<input name = "auth_method" type = "hidden" >
											<input name = "captive_portal" type = "hidden">
											<input name = "guest_enable" type = "hidden">
											<input name = "cookie_enable" type = "hidden">
											<input type="hidden" id="cap_form" value="<%=capForm%>">

											<table border="0"><tbody>
												<tr>
													<td class="data1">&nbsp;</td>
													<td nowrap="nowrap" class="data1" style="padding-left:5px;">
														<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.domain_name"/>: </td>
													<td colspan="2" class="data1">
<%
String domainName = "";

if (!noDomains)
{
	domainName = info.getDomain().get(0).getBdn();
	domainName = DomainNameToDNS(domainName);
}
%>
														<input name="domainName"  onKeyDown="enableSub(0)" type="text" class="button" size="50"
															value="<%=domainName%>"> (<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.domain_example"/>)
													</td>
												</tr>

												<tr>
													<td class="data1">&nbsp;</td>
													<td nowrap="nowrap" class="data1" style="padding-left:5px;">
														<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.service_account"/>:</td>

													<td colspan="2" class="data1">
														<input name="serviceAccount"  onKeyDown="enableSub(0)" type="text" class="button" size="50"
															value="<%if (!noDomains) {%><%=info.getDomain().get(0).getAdministrator()%><%}%>"> (<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.account_example"/>)
													</td>
												</tr>

												<tr>
													<td class="data1">&nbsp;</td>
													<td width="13%" nowrap="nowrap" class="data1" style="padding-left:5px;">
														<i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.wccp.router_password"/></td>
													<td width="80%" class="data1">
														<input name="password"  onKeyDown="enableSub(0)" type="password" class="button" size="50"
															value="<%if (!noDomains) {%><%=info.getDomain().get(0).getPassword()%><%}%>">
														<input name="encryPassword" type="hidden" size="50"
															value="<%if (!noDomains) {%><%=info.getDomain().get(0).getPassword()%><%}%>">
														<input name="Test" type="button" class="button"
															value="<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.control_manager_java.test_connection"/>"  onclick="testConnection(true);"></td>
													<td class="data1">&nbsp;</td>
												</tr>
											</tbody></table>
										</form></div></td>
									</tr>

									<tr id="advancedLDAP" style="display: table-row; ">
										<td colspan="6"><table id="advancedTable" border="0"><tbody>
<%
if (!noDomains)
{
	List<DomainType> list2 = info.getDomain();
	int size2 = list2.size();
	int index = -1;
	for (DomainType type : list2)
	{
		index = type.getID();
%>
											<tr>
												<td colspan="4"><div style="width:auto"><form action="servlet/com.trend.iwss.gui.servlet.DomainController"
													method="post" name="saveform<%=index%>" id="saveform<%=index%>">

													<input name="did" type="hidden" value="<%=index%>">
													<input name="vendor" type="hidden" value="<%=type.getVendor()%>">
													<input name="domainID" type="hidden" value="<%=index%>">

													<input name="encry" type="hidden" value="false">
													<input name="op" type="hidden" value="save">
													<input name = "auth_method" type = "hidden" >

													<input name = "ttl_type" type = "hidden" value = "1">
													<input name = "expire_time" type = "hidden" value = "120" >
													<input name = "captive_portal" type = "hidden">
													<input name = "guest_enable" type = "hidden">
													<input name = "cookie_enable" type = "hidden">

													<table><tbody>
														<tr id="collapsedt<%=index%>" style="display: table-row;">
															<td width="3%" align="right" nowrap="nowrap" class="data1">
																<img src="images/server_on.gif" alt="Server On" width="16" height="16" title="Server On">
															</td>
															<td width="52%" nowrap="nowrap" class="data1">
																<a href="javascript:expandToggle('t<%=index%>')"><%=type.getBdn()%></a>
															</td>

															<td width="41%" nowrap="nowrap" class="data1">
																<% if (type.getVendor().startsWith("Microsoft")) { %>
																<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor0"/>
																<%} else if (type.getVendor().startsWith("Linux")) {%>
																<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor1"/>
																<%} else if (type.getVendor().startsWith("Novell")) {%>
																<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor3"/>
																<%} else { %>
																<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor2"/>
																<%}%>
															</td>

															<td width="3%" align="right" nowrap="nowrap" class="data1">
<%if(access == 3){%>
																<a href="javascript:delDomain(<%=index%>);">
																	<img src="images/delete.gif" width="13" height="15" border="0">
																</a>
<%}%>
															</td>
															<td width="4%" height="22" align="center">
																<a href="javascript:expandToggle('t<%=index%>')">
																	<img src="images/more_down2_out.gif" width="13"	height="13" border="0"
																		title="<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title1"/>">
																</a>
															</td>
														</tr>

														<tr id="expandedt<%=index%>" style="display: none;">
															<td colspan="5" class="data2"><table width="100%" border="0" cellpadding="0" cellspacing="0"> <tbody>
																<tr>
																	<td> <table class="border" width="100%"> <tbody>

<%
		ServerListType list = null;

		List<ServerType> servers = null;

		AuthAdvancedInfoType advance = null;

		String relationShip = null;
		boolean isSimple = true;

		String vendor = type.getVendor();
		boolean isFailOver = false;
		list = type.getServerlist();
		if (list != null) {
			servers = list.getServer();
			relationShip = list.getRelationship();
		}

		AuthInfoType ad = type.getAuthinfo();

		if (ad.getMode().equals("kerberos")) {
			isSimple = false;
			advance = ad.getAdvancedInfo();
		}

		if (relationShip != null)
			isFailOver = relationShip.equals("failover");
%>
																		<tr>
<%
		String boxName = DomainNameToDNS(type.getBdn());
%>
																			<td colspan="8" nowrap="nowrap" class="tableheadergrey"><%=boxName%></td>
																			<td width="4%" class="tableheadergrey" height="22" align="right">
																				<a href="javascript:collapseToggle('t<%=index%>')">
																					<img src="images/more_up2_out.gif" width="13" height="13" border="0" title="<i18n:message bundleRef="bundleAdmin"
																						key="admin.network_config.user_identification.title1"/>"></a>
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1" class="data1" width="180"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.ldap_server_hostname"/></td>
																			<td width="374" class="data1"><input name="ip" type="text" value="<%=servers.get(0).getAddress()%>"
																				class="button" size="58"  onKeyDown="enableSub(<%=index%>)" >
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1">&nbsp;</td>
																			<td class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.hostname_example"/></td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1" class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.listening_port_num"/></td>
																			<td class="data1">
																				<input name="port" type="text" value="<%=servers.get(0).getPort()%>"
																					class="button" onKeyDown="enableSub(<%=index%>)" size="5">
																			</td>
																		</tr>

																		<tr <%if (!type.getVendor().startsWith("Microsoft")) {%> style="display:none;" <%}%> >
																			<td class="data1">&nbsp;</td>
																			<td colspan="1" class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.ldaps_mode"/></td>
																			<td class="data1">
																				<select name="ldaps_mode" id="ldaps_mode" onchange="enableSub(<%=index%>)">
																					<option value="0" <% if (type.getLdapsMode() == 0) {%> selected <%} %> >
																						<i18n:message bundleRef="bundleAdmin"
																						key="admin.network_config.user_identification.ldaps_mode_0"/>
																					</option>
																					<option value="1" <% if (type.getLdapsMode() == 1) {%> selected <%} %> >
																						<i18n:message bundleRef="bundleAdmin"
																						key="admin.network_config.user_identification.ldaps_mode_1"/>
																					</option>
																					<option value="2" <% if (type.getLdapsMode() == 2) {%> selected <%} %> >
																						<i18n:message bundleRef="bundleAdmin"
																						key="admin.network_config.user_identification.ldaps_mode_2"/>
																					</option>
																				</select>
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1" class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.service_account"/></td>
																			<td class="data1">
																				<input name="server" type="text" size="58" value="<%=type.getAdministrator()%>"
																					class="button" onKeyDown="enableSub(<%=index%>)" >
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1">&nbsp;</td>
																			<td class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.account_example"/></td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1" class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.password"/></td>
																			<td class="data1">
																				<input name="pw" type="password"  size="58"  value="<%=type.getPassword()%>"
																					class="button" onKeyDown="enableSub(<%=index%>)" >
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1" class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.base_dis_name"/></td>
																			<td class="data1">
																				<input name="name" type="text" class="button" size="58"
																					value="<%=DomainNameToDC(type.getBdn())%>" onFocus="popularize()"
																					onKeyDown="enableSub(<%=index%>)">
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="1">&nbsp;</td>
																			<td class="data1"><i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.dis_name_example"/>
																			</td>
																		</tr>

																		<tr>
																			<td class="data1">&nbsp;</td>
																			<td colspan="3">
																				<img src="images/1space_cui.gif" width="1" height="10">
																			</td>
																		</tr>

																		<tr>
																			<td colspan="4"> <table width="100%"> <tbody>
																				<tr>
																					<td colspan="4" class="tableheadergrey2"><i18n:message
																						bundleRef="bundleAdmin"
																						key="admin.network_config.user_identification.authentication_method"/></td>
																				</tr>

<%
		String auth_type = ad.getMode();
%>
																				<tr <%if (type.getVendor().startsWith("Microsoft")) {%>style="display:none;"<%}%>>
																					<td class="data1">&nbsp;</td>
																					<td colspan="3" class="data1">
																						<input onClick="enableSub(<%=index%>)"
																							type="radio"
																							name="mode"
																							class="simpleauth"
																							value="simple"
																							<%if (auth_type.equals("simple")) {%>checked="checked"<%}%>
																							style="opacity: 1;">
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_method_simple"/>
																						<img border="0" align="absmiddle" onMouseOut="htm();return false;"
																							onMouseOver="stm(tipSimpleLDAPAuthentication,tipStyle);return false;"
																							style="cursor:hand;" src="images/info_mark_cui.gif">
																					</td>
																				</tr>

																				<tr <%if (type.getVendor().startsWith("Microsoft")) {%>style="display:none;"<%}%>>
																					<td class="data1">&nbsp;</td>
																					<td colspan="3" class="data1">
																						<input  onClick="enableSub(<%=index%>)"
																							class="md5auth" type="radio"
																							name="mode"
																							value="digest-md5"
																							<%if (auth_type.equals("digest-md5")) {%>checked="checked"<%}%>
																							style="opacity: 1;">
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_method_digest_MD5"/>
																						<img border="0" align="absmiddle" onMouseOut="htm();return false;"
																							onMouseOver="stm(tipMD5LDAPAuthentication,tipStyle);return false;"
																							style="cursor:hand;" src="images/info_mark_cui.gif">
																					</td>
																				</tr>

																				<tr <%if (type.getVendor().startsWith("Sun")) {%>style="display:none;"<%}%>>
																					<td class="data1">&nbsp;</td>
																					<td colspan="3" class="data1">
																						<div <%if (type.getVendor().startsWith("Microsoft")){%> style="display:none;"<%}else{%> style="display:inline;"<%}%>>
																							<input onClick="enableSub(-1)"
																								name="mode" type="radio"
																								value="kerberos"
																								<%if (auth_type.equals("kerberos")) {%>checked="checked"<%}%>>
																						</div>
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_method_Kerberos"/>
																						<img border="0" align="absmiddle" onMouseOut="htm();return false;"
																							onMouseOver="stm(tipAdvancedLDAPAuthentication,tipStyle);return false;"
																							style="cursor:hand;" src="images/info_mark_cui.gif">
																					</td>
																				</tr>

																				<tr class="kerberosOptions">
																					<td colspan="4" class="kerberosauth" style="opacity: 0.8;"><table style="opacity: 0.8;"> <tbody style="opacity: 0.8;">
																						<tr style="opacity: 0.8;">
																							<td class="data1" style="opacity: 0.8;">&nbsp;</td>
																							<td width="169" class="data1" style="opacity: 0.8;">
																								<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.default_realm"/>
																							</td>
																							<td class="data1" style="opacity: 0.8;">
																								<input  onKeyDown="enableSub(<%=index%>)"
																									name="realm" type="text"
																									class="button" size="58"
																									style="opacity: 0.8;"
																									disabled="" value="<%if (!isSimple) {%><%=advance.getRealm()%><%}%>">
																							</td>
																						</tr>
																						<tr style="opacity: 0.8;">
																							<td class="data1" style="opacity: 0.8;">&nbsp;</td>
																							<td class="data1" style="opacity: 0.8;">
																								<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.default_domain"/>
																							</td>
																							<td class="data1" style="opacity: 0.8;">
																								<input  onKeyDown="enableSub(<%=index%>)"
																									name="domain" type="text"
																									class="button" size="58"
																									style="opacity: 0.8;"
																									disabled=""  value="<%if (!isSimple) {%><%=advance.getDomain()%><%}%>">
																							</td>
																						</tr>
																						<tr style="opacity: 0.8;">
<%
		Vector	KDC_hosts = new Vector(), KDC_ports = new Vector();

		String output_kdc_server = "";
		String output_kdc_port = "";
		String s = null;

		if (advance != null)
		{
			s = advance.getKdcServer();
		}
		if (s != null)
		{
			String ss[] = s.split(";");

			for (int x = 0; x < ss.length; x++)
			{
				int    pos = -1;
				String host = "", port = "88";

				/* check IPv6 address */
				if (-1 != (pos = ss[x].indexOf("]:")))
				{
					host = ss[x].substring(0, pos);
					port = ss[x].substring(pos+2);
				}
				else if (-1 != (pos = ss[x].indexOf(":")))
				{
					host = ss[x].substring(0, pos);
					port = ss[x].substring(pos+1);
				}
				else
				{
					host = ss[x];
					port = "88";
				}

				KDC_hosts.addElement(host);
				KDC_ports.addElement(port);

				System.out.println("Debug: parse a kdc servers " + host + ", port " + port);
			}

			output_kdc_server = KDC_hosts.get(0).toString();
			output_kdc_port = KDC_ports.get(0).toString();
		}

%>

																							<td class="data1" style="opacity: 0.8;">&nbsp;</td>
																							<td class="data1" style="width: 169px; opacity: 0.8;">
																								<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.kdc_admin_server"/>
																							</td>
																							<td class="data1" style="opacity: 0.8;">
																								<input  onKeyDown="enableSub(<%=index%>)"
																									name="adminServer" type="text" class="button" size="58"	style="opacity: 0.8;"
																									disabled=""  value="<%if (!isSimple) {%><%=output_kdc_server%><%}%>">
																							</td>
																						</tr>
																						<tr style="opacity: 0.8;">
																							<td class="data1" style="opacity: 0.8;">&nbsp;</td>
																							<td class="data1" style="opacity: 0.8;">
																								<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.kdc_port_num"/>
																							</td>
																							<td class="data1" style="opacity: 0.8;">
																								<input onKeyDown="enableSub(<%=index%>)"
																									name="portNumber" type="text" class="button" style="opacity: 0.8;"
																									disabled="" value="<%if (!isSimple) {%><%=output_kdc_port%> <%}%>">
																							</td>
																						</tr>
																						<tr style="opacity: 0.8;">
																							<td></td>
																						</tr>
																					</tbody></table></td>
																				</tr>
																			</tbody> </table></td>

																			<td class="data1">&nbsp;</td>
																		</tr>

																		<tr>
																			<td colspan="3" width="374" valign="bottom">
																				<input name="Submit" type="button"
																					class="button"
																					value="<i18n:message bundleRef='bundleCommon' key='button.test_ldap_connection'/>"
																					onClick="SaveD(<%=index%>,false)">
																			</td>
																		</tr>

																		<tr>
																			<td colspan="4"><table width="100%"> <tbody>
																				<tr>
																					<td colspan="4"
																						class="tableheadergrey2">
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_high_availability"/>
																					</td>
																				</tr>
																				<tr>
																					<td class="data1">
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.enable_authen_high_availability_note"/>
																					</td>
																				</tr>
																				<tr>
																					<td class="data1">
																						<input  onClick="enableSub(<%=index%>)"
																							type="checkbox" name="enable"<%if (servers.size() > 1) {%>checked<%}%>>
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.enable_authen_high_availability"/>
																						<br>
																						<input  onClick="enableSub(<%=index%>)"
																							type="radio" name="relationship"  value="0" <%if (!isFailOver) {%>checked<%}%> <%if (servers.size() <= 1) {%>disabled<%}%>>
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.round_robin"/>
																						<input type="radio"  onClick="enableSub(<%=index%>)"
																							name="relationship" <%if (isFailOver) {%>checked<%}%> value="1" <%if (servers.size() <= 1) {%>disabled<%}%>>
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.fail_over"/>
																					</td>
																				</tr>
																				<tr>
																					<td class="data1">
																						<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.addtional_server_name"/>
																						<input  size="40" type="text" name="ip"  onKeyDown="enableSub(<%=index%>)"
																							value="<%if (servers.size() > 1) {%><%=servers.get(1).getAddress()%><%}%>"  <%if (servers.size() <= 1) {%>disabled<%}%>>
																							&nbsp;<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.addtional_server_port"/>
																						<input size="5" type="text" name="port"  onKeyDown="enableSub(<%=index%>)"
																							value="<%if (servers.size() > 1) {%><%=servers.get(1).getPort()%><%}%>"  <%if (servers.size() <= 1) {%>disabled<%}%>>
																					</td>
																				</tr>
																			</tbody> </table></td>
																		</tr>
																	</tbody> </table></td>
																</tr>
															</tbody></table></td>
														</tr>
													</tbody></table>
												</form></div></td>
											</tr>

											<tr>
												<td colspan="6" align="right" nowrap="nowrap" bgcolor="#EEEEEE">
													<img src="images/1space_cui.gif" width="1"
														height="1">
												</td>
											</tr>
<%
	}
}
%>
<!--new ldap-->
											<tr id="collapsedNewLDAP" style="display: table-row;">
												<td colspan="2">
													<a class="databutton" href="javascript:expandLDAP()">
														<img src="images/icon_add.gif" alt="Add"
															width="18" height="18" border="0"
															align="absmiddle">
														<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.add_new_domain"/>
													</a>
												</td>

<% if (!noDomains) { %>
												<td colspan="2" id="sync_ldap" >
													<a class="databutton" href="javascript:sync_with_ldap()">
														<img src="images/icon_refresh.gif" alt="sync" width="18"
															height="18" border="0" align="absmiddle">
															<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.sync_LDAP_servers"/>
													</a>
												</td>
<% } %>

											</tr>

											<tr id="expandedNewLDAP" style="display: none;">
												<td colspan="5">
													<div style="width:auto"> <form action="servlet/com.trend.iwss.gui.servlet.DomainController"
														method="post" name="Saveform" id="Saveform">

														<input name="encry" type="hidden" value="false">
														<input name="op" type="hidden" value="add">
														<input name = "ttl_type" type = "hidden" value = "1">
														<input name = "expire_time" type = "hidden" value = "120" >
														<input name = "auth_method" type = "hidden" >
														<input name = "captive_portal" type = "hidden">
														<input name = "guest_enable" type = "hidden">
														<input name = "cookie_enable" type = "hidden">

														<table width="100%" border="0" cellpadding="0" cellspacing="0"> <tbody>
															<tr>
																<td> <table class="border" width="100%"> <tbody>
																	<tr>
																		<td colspan="8" nowrap="nowrap" class="tableheadergrey">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.new_ldap_configuration"/>
																		</td>
																		<td width="4%" class="tableheadergrey" height="22" align="right">
																			<a href="javascript:collapseLDAPLink()"><img
																				src="images/more_up2_out.gif"
																				width="13" height="13" border="0"
																				title="<i18n:message bundleRef="bundleAdmin"
																				key="admin.network_config.user_identification.title1"/>">
																			</a>
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1" width="180">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.domain_name"/>:
																		</td>
																		<td>
																			<input type="text" name="domainName" onKeyDown="enableSub(-1)"  size="58" class="button">
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1">&nbsp;</td>
																		<td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.domain_example"/></td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1" width="180">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldap_server_type"/>
																		</td>
																		<td width="374" class="data1"><select name="serverType" id="serverType">
																				<option value="0">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor0"/>
																				</option>
																				<option value="1">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor1"/>
																				</option>
																				<option value="2">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor2"/>
																				</option>
																				<option value="3">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.vendor3"/>
																				</option>
																		</select> </td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldap_service_account"/>
																		</td>
																		<td class="data1"><input size="58"
																			name="server" type="text"
																			class="button"  onKeyDown="enableSub(-1)">
																		</td>
																	</tr>

																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1">&nbsp;</td>
																		<td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.account_example"/></td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.password"/>
																		</td>
																		<td class="data1">
																			<input name="pw" type="password"  size="58"
																				class="button" onKeyDown="enableSub(-1)">
																		</td>
																	</tr>
																	<tr>
																		<td colspan="2"></td>
																		<td width="374" class="data1">
																			<input type="button"
																				title="<i18n:message bundleRef='bundleAdmin' key='admin.network_config.user_identification.auto_detect_note'/>"
																				value="<i18n:message bundleRef='bundleCommon' key='button.ldap_auto_detect'/>" onClick="doFresh()" name="autodetect">
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1" width="180">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldap_server_hostname"/>
																		</td>
																		<td width="374" class="data1">
																			<input name="ip" type="text" class="button" size="58"  onKeyDown="enableSub(-1)">
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1">&nbsp;</td>
																		<td class="data1">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.hostname_example"/>
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.listening_port_num"/>
																		</td>
																		<td class="data1">
																			<input name="port" type="text"
																				class="button"   size="5" onKeyDown="enableSub(-1)">
																		</td>
																	</tr>
																	<tr id="tr_ldaps">
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1"><i18n:message bundleRef="bundleAdmin"
																			key="admin.network_config.user_identification.ldaps_mode"/></td>
																		<td class="data1">
																			<select name="ldaps_mode" id="ldaps_mode" onchange="enableSub(-1)">
																				<option value="0" selected>
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldaps_mode_0"/>
																				</option>
																				<option value="1">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldaps_mode_1"/>
																				</option>
																				<option value="2">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.ldaps_mode_2"/>
																				</option>
																			</select>
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1" class="data1">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.base_dis_name"/>
																		</td>
																		<td class="data1">
																			<input name="name" type="text"
																				class="button" size="58"  onfocus="popularize()"  onKeyDown="enableSub(-1)">
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="1">&nbsp;</td>
																		<td class="data1">
																			<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.dis_name_example"/>
																		</td>
																	</tr>
																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"> </td>
																	</tr>
																	<tr>
																		<td colspan="4"><table width="100%" class="ker"> <tbody>
																			<tr>
																				<td colspan="4"
																					class="tableheadergrey2">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method"/>
																				</td>
																			</tr>
																			<tr id="tr1">
																				<td class="data1">&nbsp;</td>
																				<td colspan="3" class="data1">
																					<input type="radio" name="mode" value="simple" checked  onClick="enableSub(-1)">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_method_simple"/>
																					<img border="0" align="absmiddle" onMouseOut="htm();return false;"
																						onMouseOver="stm(tipSimpleLDAPAuthentication,tipStyle);return false;"
																						style="cursor:hand;" src="images/info_mark_cui.gif">
																				</td>
																			</tr>
																			<tr id="tr2">
																				<td class="data1">&nbsp;</td>
																				<td colspan="3" class="data1">
																					<input onClick="enableSub(-1)" type="radio" name="mode" value="digest-md5">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_method_digest_MD5"/>
																					<img border="0" align="absmiddle" onMouseOut="htm();return false;"
																						onMouseOver="stm(tipMD5LDAPAuthentication,tipStyle);return false;"
																						style="cursor:hand;" src="images/info_mark_cui.gif">
																				</td>
																			</tr>
																			<tr id="tr3">
																				<td class="data1">&nbsp;</td>
																				<td colspan="3" class="data1">
																					<div id="mode"><input onClick="enableSub(-1)" name="mode" type="radio" value="kerberos"></div>
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_method_Kerberos"/>
																					<img border="0" align="absmiddle" onMouseOut="htm();return false;"
																						onMouseOver="stm(tipAdvancedLDAPAuthentication,tipStyle);return false;"
																						style="cursor:hand;" src="images/info_mark_cui.gif">
																				</td>
																			</tr>

																			<tr id="tr4" class="kerberosOptions">
																				<td style="opacity: 0.5;" class="kerberosauth" colspan="4"><table style="opacity: 0.8;"><tbody style="opacity: 0.8;">
																					<tr style="opacity: 0.8;">
																						<td style="opacity: 0.8;" class="data1">&nbsp;</td>
																						<td width="169" style="opacity: 0.8;" class="data1">
																							<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.default_realm"/>
																						</td>
																						<td style="opacity: 0.8;" class="data1">
																							<input type="text" value="" disabled="" style="opacity: 0.8;" size="58" class="button" name="realm"
																								onfocus="popularize()" onKeyDown="enableSub(-1)">
																						</td>
																					</tr>
																					<tr style="opacity: 0.8;">
																						<td style="opacity: 0.8;" class="data1">&nbsp;</td>
																						<td style="opacity: 0.8;" class="data1">
																							<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.default_domain"/>
																						</td>
																						<td style="opacity: 0.8;" class="data1">
																							<input type="text" value="" disabled="" style="opacity: 0.8;" size="58" class="button" name="domain"
																								onfocus="popularize()" onKeyDown="enableSub(-1)">
																						</td>
																					</tr>
																					<tr style="opacity: 0.8;">
																						<td style="opacity: 0.8;" class="data1">&nbsp;</td>
																						<td style="width: 169px; opacity: 0.8;" class="data1">
																							<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.kdc_admin_server"/>
																						</td>
																						<td style="opacity: 0.8;" class="data1">
																							<input type="text" value="" disabled="" style="opacity: 0.8;" size="58" class="button" name="adminServer"
																								onfocus="popularize()" onKeyDown="enableSub(-1)">
																						</td>
																					</tr>
																					<tr style="opacity: 0.8;">
																						<td style="opacity: 0.8;" class="data1">&nbsp;</td>
																						<td style="opacity: 0.8;" class="data1">
																							<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.kdc_port_num"/>
																						</td>
																						<td style="opacity: 0.8;" class="data1">
																							<input type="text"  size="5" disabled="" style="opacity: 0.8;" class="button" name="portNumber"
																								onKeyDown="enableSub(-1)">
																						</td>
																					</tr>
																					<tr style="opacity: 0.8;">
																						<td></td>
																					</tr>
																				</tbody> </table></td>
																			</tr>
																		</tbody></table></td>

																		<td class="data1">&nbsp;</td>
																	</tr>

																	<tr>
																		<td colspan="3" width="374" valign="bottom">
																			<input name="Submit" type="button" class="button"
																				value="<i18n:message bundleRef='bundleCommon' key='button.test_ldap_connection'/>"
																				onClick="SaveD(-1,false)">
																		</td>
																	</tr>

																	<tr>
																		<td class="data1">&nbsp;</td>
																		<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"> </td>
																	</tr>

																	<tr>
																		<td colspan="4"><table width="100%"> <tbody>
																			<tr>
																				<td colspan="4" class="tableheadergrey2">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authen_high_availability"/>
																				</td>
																			</tr>
																			<tr>
																				<td class="data1">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.enable_authen_high_availability_note"/>
																				</td>
																			</tr>
																			<tr>
																				<td class="data1">
																					<input type="checkbox" name="enable" onClick="enableSub(-1)">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.enable_authen_high_availability_note"/><br>
																					<input type="radio" name="relationship" value="0" checked disabled>
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.round_robin"/>
																					<input type="radio" name="relationship"  value="1" disabled onClick="enableSub(-1)">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.fail_over"/>
																				</td>
																			</tr>
																			<tr>
																				<td class="data1">
																					<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.addtional_server_name"/>
																					<input  size="40" type="text" value="" name="ip" disabled onKeyDown="enableSub(-1)">
																					&nbsp;<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.addtional_server_port"/>
																					<input type="text"  size="5" value="" name="port" disabled onKeyDown="enableSub(-1)">
																				</td>
																			</tr>
																		</tbody> </table></td>
																	</tr>
																</tbody> </table></td>
															</tr>
														</tbody> </table>
													</form></div>
												</td>
											</tr>
										</tbody></table></td>
									</tr>

									<tr id="otherrow" style="display: table-row; ">
										<td colspan="6"> <table id="otherrowarea" border="0">
											<tr>
												<td height="22" colspan="4" class="tableheader">
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.cache_setting"/></td>
												<!-- <td width="4%" height="22" align="right" class="tableheader"><a href="#"><img src="images/more_up2_out.gif" width="13" height="13" border="0" title="<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title1"/>"></a></td> -->
											</tr>
											<tr>
												<td width="4%" class="data1">
													<input  name="cache" type="radio" value="1" <%if(isFixed){%>checked<%}%> onClick="enableSub(-1);" ></td>
												<td width="12%" nowrap="nowrap" class="data1" style="padding-left:5px;">
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.tll1"/>: </td>
												<td colspan="2" class="data1">
													<input id="ttl1" name="ttl1" type="text" class="button" size="5" maxlength="4" value="<%=ttl%>"
														onKeyDown="enableSub(-1);">
													<i18n:message bundleRef="bundleCommon" key="unit.minutes"/>(<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.default"/>=120)
												</td>
											</tr>
											<tr>
												<td width="4%" class="data1">
													<input  name="cache" type="radio" value="2" <%if(!isFixed){%>checked<%}%> onClick="enableSub(-1);"></td>
												<td nowrap="nowrap" class="data1" style="padding-left:5px;">
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.tll2"/>:</td>
												<td colspan="2" class="data1">
													<input id="ttl2" name="ttl2" type="text" class="button" size="5" maxlength="4" value="<%=ttl%>"
														onKeyDown="enableSub(-1);">
													<i18n:message bundleRef="bundleCommon" key="unit.minutes"/>(<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.default"/>=120)
												</td>
											</tr>
											<tr>
												<td height="22" colspan="4" class="tableheader">
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method"/></td>
												<!-- <td width="4%" height="22" align="right" class="tableheader"><a href="#"><img src="images/more_up2_out.gif" width="13" height="13" border="0" title="<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.title1"/>"></a></td> -->
											</tr>
											<tr>
												<td width="4%" class="data1">
													<input  name="authentication_method" type="radio" value="standard"
														onClick="hideorshow();enableSub(-1);" <%if (enablecaptival.equals("no")) {%>checked<%}%>></td>
												<td nowrap="nowrap" class="data1" style="padding-left:5px;">
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method.standard"/></td>
											</tr>
											<tr>
												<td  width="4%" class="data1">
													<input  name="authentication_method" type="radio" value="captive"
														onClick="hideorshow();enableSub(-1);" <%if (enablecaptival.equals("yes")) {%>checked<%}%>></td>
												<td  nowrap="nowrap" class="data1" style="padding-left:5px;">
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method.captive"/></td>
											</tr>
											<tr>
												<td colspan="2" nowrap="nowrap" class="data1" style="padding-left:5px;">
													<span style="padding-left:10px;">&nbsp;</span>
													<input id="enableguest" name="enableguest" type="checkbox" value="enableguest"
														onclick="enableSub(-1);" <%if (enablecaptival.equals("no")) {%>disabled<%}%><%if (enableguest.equals("yes")) {%> checked <%}%>>
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method.guest"/>
												</td>
												<td colspan="4" nowrap="nowrap" class="data1" style="padding-left:5px;">
													<span style="padding-left:10px;">&nbsp;</span>
													<input id="enablecookie" name="enablecookie" type="checkbox" value="enablecookie"
														onclick="enableSub(-1);"
														<%if (enablecaptival.equals("no")) {%> disabled <%}%>
														<%if (enablecookie.equals("yes")) {%> checked <%}%>>
													<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method.cookie_mode"/>
													<a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()">
														<img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle">
													</a>
												</td>
											</tr>

											<tr>
												<td class="hidetd" colspan="4"> <table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:0">
													<tr>
														<td class="data1" style="padding-left:30px;">
															<i18n:message bundleRef="bundleAdmin" key="admin.network_config.user_identification.authentication_method.paste_hint"/></td>
													</tr>
													<tr>
														<td nowrap="nowrap" class="data1" style="padding-left:5px;">
															<textarea class="button" style="width:100%" name="customizedHTML" id="customizedHTML"  rows="10"
																onKeyDown="enableSub(-1);"><%=captive_portal_html%>
															</textarea>
														</td>
													</tr>
													<tr>
														<td nowrap="nowrap" class="data1" style="padding-left:5px;">
															<span style="padding-left:10px;">&nbsp;&nbsp;&nbsp;</span>
															<input name="preview" type="button" class="button"
																value="<i18n:message bundleRef='bundleCommon' key='button.captive_portal_preview' />"
																onClick="doPreviewForm();">
														</td>
													</tr>
												</table> </td>
											</tr>

											<tr>
												<td colspan="4"><img src="images/1space_cui.gif" width="1" height="10"></td>
											</tr>
										</table></td>
									</tr>
<!--end of advanced -->

								</tbody></table></td>

								<td class="data1">&nbsp;</td>
							</tr>

							<tr>
								<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
							</tr>
						</tbody></table></td>
					</tr>
				</tbody></table></td>
			</tr>
		</tbody></table></td>
	</tr>
</tbody></table>

<%if (access == 3) { %>

<table width="540" border="0" cellspacing="0" cellpadding="0"><tbody>
	<tr>
		<td height="28" valign="bottom">
			<input name="button1111" disabled type="button" class="button"
				value="<i18n:message bundleRef='bundleCommon' key='button.save'/>" onClick="doSubmit();" >
			<input name="button1112" type="button" class="button"
				value="<i18n:message bundleRef='bundleCommon' key='button.cancel'/>"
				onClick="self.location.href='http_config_user_idetification.jsp';">
		</td>
	</tr>
</tbody></table>

<%}%>

<map name="Map"><area shape="rect" coords="11,11,194,114" href="#"><area shape="rect" coords="209,11,225,113" href="#"></map>

</body>
<script>
</script>
</html>
