#!/bin/sh

# global var:
#  APP_PATCH_ROOT=/etc/iscan
#  PATCHINFOINI=stargate_patch.ini
#  PATCHMGMINI=${INSTALL_DIR}/patch/config/patch_management.ini
#  PATCH_NUMBER=`F_ini_get $PATCHINFOINI PatchInfo Number`

# will be called before database is shutdown.
F_apply_database_changes()
{
    echo F_apply_database_changes
}

# will be called before database is shutdown.
F_rollback_database_changes()
{
    echo F_rollback_database_changes
}

F_binary_extra_copy()
{
    echo F_binary_extra_copy
}

F_update_extra_ini() {
	  echo "Updating the ini file."
	  
	 #For SEGTT 336728
     IWSS_DATA=/var/iwss
     INTSCAN_CONF=$IWSS_DATA/intscan.ini
      _enable_appd_daemon=` F_ini_get "$INTSCAN_CONF" "app-control" "enable_appd_daemon" `
     if [ "${#_enable_appd_daemon}" -lt "1" ] ; then    
         F_ini_add_key  "$INTSCAN_CONF" "app-control" "enable_appd_daemon" "yes"     
     fi
     #end for SEGTT 336728
     
     COMMONLOG_CONF=/usr/trend/commonlog/config/CommonLog.ini
     F_ini_add_key  "$COMMONLOG_CONF" "LDAP" "LDAP_group_support" "1"

}

# will be called after binary copying
F_apply_extra_changes()
{
	echo F_apply_extra_changes

	F_binary_extra_copy
	F_update_extra_ini

}

# will be called after binary copying
F_rollback_extra_changes()
{
	echo F_rollback_extra_changes
     
    #rollback TMUSE engine for SEG 333247
    PATCHMGMINI=/etc/iscan/patch/config/patch_management.ini
    _AppliedPatches=`F_ini_get ${PATCHMGMINI} PatchManagement AppliedPatches` 
    if [ "${#_AppliedPatches}" -gt "1"   ] ; then 
       echo " need not rollback libtmuseng.so.1.0.1013 since it is NOT introduced by current hotfix or patch." 
    else
       echo " it need rollback libtmuseng"
      /bin/su iscan -c "/bin/rm -f /usr/iwss/lib/libtmuseng.so /usr/iwss/lib/libtmuseng.so.1 /usr/iwss/lib/libtmuseng.so.1.0"
      /bin/su iscan -c "/bin/ln -s libtmuseng.so.1.0.1011 /usr/iwss/lib/libtmuseng.so.1.0 "
      /bin/su iscan -c "/bin/ln -s libtmuseng.so.1.0.1011 /usr/iwss/lib/libtmuseng.so.1   "
      /bin/su iscan -c "/bin/ln -s libtmuseng.so.1.0.1011 /usr/iwss/lib/libtmuseng.so     "
      rm -f   /usr/iwss/lib/libtmuseng.so.1.0.1013
    fi


}
